from jamip.abtools.vasp.setvasp import SetVasp
from jamip.compute.prepare import Prepare

def jamip_input(name=None,*args, **kwargs):

    vasp=SetVasp()
    vasp.program=  ''    #  $VASP_PATH
    vasp.potential = ''  #  $VASP_PSUEDOPATH

    vasp.tasks   = 'relax scf force gruneisen softmode'
    vasp.xc_func = 'pbe' 

    vasp.force   = 1e-4         # force convergence  
    vasp.energy  = 1e-8         # energy convergence
    vasp.cutoff  = 520          # encut setting 
    vasp.kpoints = 0.189         # kspacing

    # Prepare %
    pool=Prepare.pool(vasp)
    pool.set_structure('structure','Results')
    pool.save('GaN.dat',overwrite=True)
    Prepare.cluster('pbs')
    Prepare.incar(vasp.tasks)

